MongoDB extension version 2.1.0 released

Jun 27, 2016

We are very pleased to announce the release of the MongoDB extension version 2.1.0, which uses the new PHP MongoDB driver, providing the ability to function on PHP 7.x and HHVM.

Note that migration to the new MongoDB driver caused a significant backward compatibility break! It is very likely, that existing code based on 2.0.x versions will be unable to function with 2.1.0 without adjustments. Check the UPGRADE instructions for migration from 2.0.x versions.

Also make sure your composer.json has the necessary version constraint limit if you want to stay with the 2.0.x version using the old driver, e.g. ~2.0.5. Check the Composer documentation on version constraints to learn how that works.

This release also provides several enhancements, such as writing and reading data in batches. See the CHANGELOG for a complete list of changes.